tigase.server.sreceiver.sysmon

## Class N270Monitor

- java.lang.Object
- - tigase.server.sreceiver.sysmon.AbstractMonitor
  - - tigase.server.sreceiver.sysmon.N270Monitor

- All Implemented Interfaces:
    ResourceMonitorIfc

      public class N270Monitor
      extends AbstractMonitor

  Created: Jun 20, 2009 3:42:32 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.sreceiver.sysmon.AbstractMonitor

      `treshold, warningsSent`

    - ### Fields inherited from interface tigase.server.sreceiver.sysmon.ResourceMonitorIfc

      `INTERVAL_10SECS, INTERVAL_1DAY, INTERVAL_1HOUR, INTERVAL_1MIN, MINUTE, SECOND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `N270Monitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check10Secs(Queue<Packet> results)`
    `void` | `destroy()`
    `String` | `getState()`
    `void` | `getStatistics(StatisticsList list)`

    - ### Methods inherited from class tigase.server.sreceiver.sysmon.AbstractMonitor

      `check1Day, check1Hour, check1Min, commandsHelp, init, isMonitorCommand, prepareCalmDown, prepareWarning, resetWarnings, runCommand, sendWarningOut, setValueInArr, setValueInArr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### N270Monitor

          public N270Monitor()

  - ### Method Detail

    - #### destroy

          public void destroy()

    - #### check10Secs

          public void check10Secs(Queue<Packet> results)

      Specified by:
        `check10Secs` in interface `ResourceMonitorIfc`
      Overrides:
        `check10Secs` in class `AbstractMonitor`

    - #### getState

          public String getState()

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Specified by:
        `getStatistics` in interface `ResourceMonitorIfc`
      Overrides:
        `getStatistics` in class `AbstractMonitor`

Copyright © 2022 "Tigase, Inc.". All rights reserved.